pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2010-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Writers.EPUB

Description

Conversion of `Pandoc` documents to EPUB.

Synopsis

- writeEPUB2 :: PandocMonad m => WriterOptions -> Pandoc -> m ByteString
- writeEPUB3 :: PandocMonad m => WriterOptions -> Pandoc -> m ByteString

# Documentation

writeEPUB2 #

Arguments

:: PandocMonad m |
=> WriterOptions | Writer options
-> Pandoc | Document to convert
-> m ByteString |

Produce an EPUB2 file from a Pandoc document.

writeEPUB3 #

Arguments

:: PandocMonad m |
=> WriterOptions | Writer options
-> Pandoc | Document to convert
-> m ByteString |

Produce an EPUB3 file from a Pandoc document.